var x = [
  0, 429, 504, 986, 470, 736, 441, 660, 539, 670, 438, 102, 44, 605, 996, 85, 449, 396, 135, 407, 611, 886, 368, 197, 897, 341, 651, 767, 364, 752, 803, 518, 838, 369, 591, 204, 279, 630, 982, 367, 934, 222, 682, 957, 909, 618, 904, 400,
  963, 777, 522, 398, 229, 864, 792, 321, 638, 205, 841, 972, 330, 734, 545, 654, 428, 875, 735, 251, 787, 691, 730, 664, 110, 332, 1, 308, 346, 665, 606, 566, 965, 220, 289, 516, 809, 288, 93, 581, 335, 190, 69, 425, 656, 40, 41, 274, 27,
  946, 706, 187, 551, 709, 435, 804, 650, 519, 770, 488, 255, 568, 357, 183, 892, 487, 750, 529, 868, 639, 318, 226, 640, 333, 690, 101, 191, 234, 51, 409, 976, 28, 130, 268, 452, 817, 652, 975, 885, 246, 940, 302, 584, 808, 863, 178, 115,
  77, 696, 657, 244, 337, 381, 105, 336, 760, 47, 937, 314, 943, 776, 401, 733, 155, 668, 434, 123, 416, 203, 173, 761, 79, 510, 165, 442, 329, 11, 880, 380, 198, 356, 525, 92, 458, 949, 901, 578, 57, 932, 874, 461, 857, 106, 782, 592, 790,
  295, 145, 446, 786, 824, 230, 137,
];

var lastTime = localStorage.getItem(x + "_lastTime");
var currentTime = new Date().getTime();

var time_rand = [300000, 360000, 420000, 480000, 540000, 600000, 660000, 720000, 780000, 840000, 900000];
var random_time = Math.floor(Math.random() * time_rand.length - 1) + 1;

var time_to_refresh = localStorage.getItem(x + "_time_to_refresh") == null ? time_rand[random_time] : localStorage.getItem(x + "_time_to_refresh");
if (localStorage.getItem(x + "_time_to_refresh") == null) {
  localStorage.setItem(x + "_time_to_refresh", time_to_refresh);
}

/* Random RTP  */
for (let i = 1; i < 185; i++) {
  if (!lastTime || currentTime - lastTime >= time_to_refresh) {
    localStorage.setItem(x + "_time_to_refresh", time_rand[random_time]);

    var xx = Math.floor(Math.random() * 99) + 1;

    localStorage.setItem(x + "_lastTime", currentTime);
    localStorage.setItem(x + "_xx_" + i, xx);

    var random_val_1 = [15, 25, 35, 45, 55];
    var random_1 = random_val_1[Math.floor(Math.random() * random_val_1.length - 1) + 1];
    localStorage.setItem("random_1_xx_" + x + "_" + i, random_1);

    var random_val_2 = [10, 20, 30, 40, 50];
    var random_2 = random_val_2[Math.floor(Math.random() * random_val_2.length - 1) + 1];
    localStorage.setItem("random_2_xx_" + x + "_" + i, random_2);

    var random_val_3 = [3, 5, 7, 9];
    var random_3 = random_val_3[Math.floor(Math.random() * random_val_3.length - 1) + 1];
    localStorage.setItem("random_3_xx_" + x + "_" + i, random_3);

    var random_val_4 = [20, 30, 40, 50, 60, 70];
    var random_4 = random_val_4[Math.floor(Math.random() * random_val_4.length - 1) + 1];
    localStorage.setItem("random_4_xx_" + x + "_" + i, random_4);
  } else {
    var xx = localStorage.getItem(x + "_xx_" + i);

    var random_1 = localStorage.getItem("random_1_xx_" + x + "_" + i);
    var random_2 = localStorage.getItem("random_2_xx_" + x + "_" + i);
    var random_3 = localStorage.getItem("random_3_xx_" + x + "_" + i);
    var random_4 = localStorage.getItem("random_4_xx_" + x + "_" + i);
  }

  const as = "percent-bar-" + i;
  const asd = "percent-txt-" + i;
  var percentTxt = document.getElementById("percent-txt-" + i);
  var bar = document.getElementById("percent-bar-" + i);
  const bartext = document.getElementById("card-title" + i);
  if (!percentTxt || !bar) continue;

  percentTxt.innerHTML = xx + "%";
  $("#percent-bar-" + i)
    .attr("aria-valuenow", xx)
    .css("width", xx + "%");
  if (xx < 30) {
    bar.classList.add("red");
  } else if (xx > 70) {
    bar.classList.add("green");
  } else {
    bar.classList.add("yellow");
  }

  $("#" + asd)
    .parent()
    .parent()
    .parent()
    .attr("onclick", "show_popup('" + asd + "', '" + random_1 + "', '" + random_2 + "', '" + random_3 + "', '" + random_4 + "')");
}

/* Menampilkan Popup Pola Main*/
function show_popup(id_percent, random_1, random_2, random_3, random_4) {
  var number_txt = $("#" + id_percent).html();
  var percent = number_txt.replace("%", "").replace("RTP ", "");

  if (percent < 30) {
    $("#popup-container-bad").fadeIn(500);
  } else {
    $("#popup-container-win").fadeIn(500);

    $("#tips_number_1").html(random_1);
    $("#tips_number_2").html(random_2);
    $("#tips_number_3").html(random_3);
    $("#tips_number_4").html(random_4);
  }
}

function close_popup() {
  $(".popup-container").fadeOut(500);
}

/* Menampilkan Popup Ads Lowongan Admin*/
$(document).ready(function () {
  $("#popup-container-ads").fadeIn(0);
});

/* Slide Show Menu Mobile*/
var slides = document.getElementsByClassName("mySlides");

var slideIndex = 1;
var x = window.matchMedia("(max-width: 992px)");
media(x); // Call listener function at run time
x.addListener(media); // Attach listener function on state changes

function media(x) {
  if (x.matches) {
    showSlides(slideIndex);
  } else {
    for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";
    }
  }
}

function plusSlides(n) {
  var slides = document.getElementsByClassName("mySlides");
  if (slideIndex <= slides.length - 4 || slideIndex >= 1) {
    showSlides((slideIndex += n));
  }
}

function currentSlide(n) {
  showSlides((slideIndex = n));
}

var x = window.matchMedia("(max-width: 992px)");
console.log(x);

function showSlides(n) {
  var i;
  if (n > slides.length) {
    slideIndex = 1;
  }
  if (n < 1) {
    slideIndex = slides.length;
  }
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";
  }
  slides[slideIndex - 1].style.display = "block";
}

/* Slide Show Images */
var slideIndexImages = 1;
showSlidesImages(slideIndexImages);

// Next/previous controls
function plusSlidesImages(n) {
  showSlidesImages((slideIndexImages += n));
}

// Thumbnail image controls
function currentSlideImages(n) {
  showSlidesImages((slideIndexImages = n));
}

function showSlidesImages(n) {
  var i;
  var slides = document.getElementsByClassName("slideshow-images");
  var dots = document.getElementsByClassName("dot-slideshow-images");
  if (n > slides.length) {
    slideIndexImages = 1;
  }
  if (n <= 0) {
    slideIndexImages = slides.length;
  }
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";
  }
  for (i = 0; i < dots.length; i++) {
    dots[i].className = dots[i].className.replace(" active-slideshow-images", "");
  }
  /*slides[slideIndexImages - 1].style.display = "block";*/
  /*dots[slideIndexImages-1].className += " active-slideshow-images";*/
}
