var x = [
  0, 3216, 3401, 4800, 3556, 4501, 3947, 4166, 4360, 3775, 4021, 4820, 4854, 4725, 3304, 3316, 3203, 3946, 3939, 3610, 3920, 4023, 4211, 3879, 3105, 3704, 4694, 3317, 3379, 3222, 4143, 4222, 4769, 4239, 3211, 4530, 4767, 3949, 3922, 4647,
  3712, 3802, 3392, 4903, 3343, 3990, 3299, 4189, 4043, 4534, 4251, 4906, 4179, 3402, 4220, 4617, 4698, 4505, 4105, 3313, 3518, 3730, 3784, 4320, 4521, 4840, 4695, 3126, 3562, 3279, 3171, 3190, 4185, 3612, 4643, 4699, 3262, 4833, 4785,
  4607, 4873, 4658, 3196, 4940, 4149, 3406, 4346, 3472, 3980, 3212, 4434, 4586, 4533, 3950, 4644, 4827, 4386, 4821, 4697, 4359, 3727, 4686, 3830, 3863, 3391, 3249, 4433, 4741, 3943, 4740, 3147, 4037, 4257, 3397, 4551, 4192, 4024, 3166,
  4578, 4175, 4823, 3889, 4298, 4061, 3648, 3504, 3522, 4774, 3144, 4610, 3790, 4218, 3850, 4048, 3241, 4517, 4397, 4776, 4913, 3525, 4593, 4468, 4580, 4787, 3247, 3481, 4096, 3903, 3270, 4628, 3804, 3694, 3978, 4478, 4369, 4290, 3378,
  4013, 4278, 4919, 4672, 4198, 3585, 3886, 4881, 4033, 3806, 3148, 4327, 4665, 4601, 4835, 3454, 3521, 4269, 3883, 3167, 4417, 3731, 4877, 4914, 3827, 3864, 4597, 3957, 4142, 4898, 4742, 3245, 4513, 3780, 3260, 4570, 3514, 3492, 3442,
  3127, 4112, 3893, 3549, 4395,
];

var lastTime = localStorage.getItem(x + "_lastTime");
var currentTime = new Date().getTime();

var time_rand = [300000, 360000, 420000, 480000, 540000, 600000, 660000, 720000, 780000, 840000, 900000];
var random_time = Math.floor(Math.random() * time_rand.length - 1) + 1;

var time_to_refresh = localStorage.getItem(x + "_time_to_refresh") == null ? time_rand[random_time] : localStorage.getItem(x + "_time_to_refresh");
if (localStorage.getItem(x + "_time_to_refresh") == null) {
  localStorage.setItem(x + "_time_to_refresh", time_to_refresh);
}

/* Random RTP  */
for (let i = 1; i < 124; i++) {
  if (!lastTime || currentTime - lastTime >= time_to_refresh) {
    localStorage.setItem(x + "_time_to_refresh", time_rand[random_time]);

    var xx = Math.floor(Math.random() * 99) + 1;

    localStorage.setItem(x + "_lastTime", currentTime);
    localStorage.setItem(x + "_xx_" + i, xx);

    var random_val_1 = [15, 25, 35, 45, 55];
    var random_1 = random_val_1[Math.floor(Math.random() * random_val_1.length - 1) + 1];
    localStorage.setItem("random_1_xx_" + x + "_" + i, random_1);

    var random_val_2 = [10, 20, 30, 40, 50];
    var random_2 = random_val_2[Math.floor(Math.random() * random_val_2.length - 1) + 1];
    localStorage.setItem("random_2_xx_" + x + "_" + i, random_2);

    var random_val_3 = [3, 5, 7, 9];
    var random_3 = random_val_3[Math.floor(Math.random() * random_val_3.length - 1) + 1];
    localStorage.setItem("random_3_xx_" + x + "_" + i, random_3);

    var random_val_4 = [20, 30, 40, 50, 60, 70];
    var random_4 = random_val_4[Math.floor(Math.random() * random_val_4.length - 1) + 1];
    localStorage.setItem("random_4_xx_" + x + "_" + i, random_4);
  } else {
    var xx = localStorage.getItem(x + "_xx_" + i);

    var random_1 = localStorage.getItem("random_1_xx_" + x + "_" + i);
    var random_2 = localStorage.getItem("random_2_xx_" + x + "_" + i);
    var random_3 = localStorage.getItem("random_3_xx_" + x + "_" + i);
    var random_4 = localStorage.getItem("random_4_xx_" + x + "_" + i);
  }

  const as = "percent-bar-" + i;
  const asd = "percent-txt-" + i;
  var percentTxt = document.getElementById("percent-txt-" + i);
  var bar = document.getElementById("percent-bar-" + i);
  const bartext = document.getElementById("card-title" + i);
  if (!percentTxt || !bar) continue;

  percentTxt.innerHTML = xx + "%";
  $("#percent-bar-" + i)
    .attr("aria-valuenow", xx)
    .css("width", xx + "%");
  if (xx < 30) {
    bar.classList.add("red");
  } else if (xx > 70) {
    bar.classList.add("green");
  } else {
    bar.classList.add("yellow");
  }

  $("#" + asd)
    .parent()
    .parent()
    .parent()
    .attr("onclick", "show_popup('" + asd + "', '" + random_1 + "', '" + random_2 + "', '" + random_3 + "', '" + random_4 + "')");
}

/* Menampilkan Popup Pola Main*/
function show_popup(id_percent, random_1, random_2, random_3, random_4) {
  var number_txt = $("#" + id_percent).html();
  var percent = number_txt.replace("%", "").replace("RTP ", "");

  if (percent < 30) {
    $("#popup-container-bad").fadeIn(500);
  } else {
    $("#popup-container-win").fadeIn(500);

    $("#tips_number_1").html(random_1);
    $("#tips_number_2").html(random_2);
    $("#tips_number_3").html(random_3);
    $("#tips_number_4").html(random_4);
  }
}

function close_popup() {
  $(".popup-container").fadeOut(500);
}

/* Menampilkan Popup Ads Lowongan Admin*/
$(document).ready(function () {
  $("#popup-container-ads").fadeIn(0);
});

/* Slide Show Menu Mobile*/
var slides = document.getElementsByClassName("mySlides");

var slideIndex = 1;
var x = window.matchMedia("(max-width: 992px)");
media(x); // Call listener function at run time
x.addListener(media); // Attach listener function on state changes

function media(x) {
  if (x.matches) {
    showSlides(slideIndex);
  } else {
    for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";
    }
  }
}

function plusSlides(n) {
  var slides = document.getElementsByClassName("mySlides");
  if (slideIndex <= slides.length - 4 || slideIndex >= 1) {
    showSlides((slideIndex += n));
  }
}

function currentSlide(n) {
  showSlides((slideIndex = n));
}

var x = window.matchMedia("(max-width: 992px)");
console.log(x);

function showSlides(n) {
  var i;
  if (n > slides.length) {
    slideIndex = 1;
  }
  if (n < 1) {
    slideIndex = slides.length;
  }
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";
  }
  slides[slideIndex - 1].style.display = "block";
}

/* Slide Show Images */
var slideIndexImages = 1;
showSlidesImages(slideIndexImages);

// Next/previous controls
function plusSlidesImages(n) {
  showSlidesImages((slideIndexImages += n));
}

// Thumbnail image controls
function currentSlideImages(n) {
  showSlidesImages((slideIndexImages = n));
}

function showSlidesImages(n) {
  var i;
  var slides = document.getElementsByClassName("slideshow-images");
  var dots = document.getElementsByClassName("dot-slideshow-images");
  if (n > slides.length) {
    slideIndexImages = 1;
  }
  if (n <= 0) {
    slideIndexImages = slides.length;
  }
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";
  }
  for (i = 0; i < dots.length; i++) {
    dots[i].className = dots[i].className.replace(" active-slideshow-images", "");
  }
  /*slides[slideIndexImages - 1].style.display = "block";*/
  /*dots[slideIndexImages-1].className += " active-slideshow-images";*/
}
